package com.zheng.demo;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import java.time.LocalDate;

import org.junit.Before;
import org.junit.Test;

public class LocalDateCompareTest {

	private LocalDate copyFromNow;
	private LocalDate now;
	private LocalDate tomorrow;

	@Test
	public void compareTo() {	
		assertTrue(now.compareTo(tomorrow) < 0);

		assertTrue(tomorrow.compareTo(now) > 0);
		
		assertTrue( now.compareTo(copyFromNow) == 0);
	}


	@Test
	public void equals() {
		assertTrue(now.equals( copyFromNow));
	}
	
	@Test
	public void isAfter() {	
		assertFalse(now.isAfter(tomorrow));
		assertTrue(tomorrow.isAfter(now));
	}

	@Test
	public void isBefore() {
		assertTrue(now.isBefore(tomorrow));
		assertFalse(tomorrow.isBefore(now));
	}
	
	@Test
	public void isEqual() {
		assertTrue(now.isEqual( copyFromNow));
		assertTrue(copyFromNow.isEqual( now));
		assertFalse(now.isEqual( tomorrow));
	}
	
	@Before
	public void setup() {
		now = LocalDate.now();
		copyFromNow = LocalDate.from(now);
		tomorrow = now.plusDays(1);
		System.out.println("now:" + now);
		System.out.println("tomorrow:" + tomorrow);
		try {
			Thread.sleep(1);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}

}
