package com.zheng.demo;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import java.time.ZonedDateTime;

import org.junit.Before;
import org.junit.Test;

public class ZonedDateTimeCompareTest {

	private ZonedDateTime copyFromNow;
	private ZonedDateTime miniSecondLater;
	private ZonedDateTime now;

	@Test
	public void compareTo() {
		assertTrue(now.compareTo(miniSecondLater) < 0);

		assertTrue(miniSecondLater.compareTo(now) > 0);

		assertTrue(now.compareTo(copyFromNow) == 0);
	}

	@Test
	public void equals() {
		assertTrue(now.equals(copyFromNow));
	}

	@Test
	public void isAfter() {
		assertFalse(now.isAfter(miniSecondLater));
		assertTrue(miniSecondLater.isAfter(now));
	}

	@Test
	public void isBefore() {
		assertTrue(now.isBefore(miniSecondLater));
		assertFalse(miniSecondLater.isBefore(now));
	}

	@Test
	public void isEqual() {
		assertTrue(copyFromNow.isEqual(now));
		assertFalse(miniSecondLater.isEqual(now));
	}

	@Before
	public void setup() {
		now = ZonedDateTime.now();
		System.out.println("now:" + now);
		copyFromNow = ZonedDateTime.from(now);
		try {
			Thread.sleep(1);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		miniSecondLater = ZonedDateTime.now();
	}

}
